[unclug] Anyone got an OpenAFS client running under kernel 2.6.x?

Faheem Mitha faheem at email.unc.edu
Fri Feb 18 12:32:22 EST 2005



On Fri, 18 Feb 2005, Andrew Perrin wrote:

> I'd like to upgrade to kernel 2.6 but what's holding me back is a
> functional AFS client, which is an absolute necessity for me. Has anyone
> managed to get OpenAFS running under 2.6.x?

Hi Andrew,

It seems you are unaware that the (development) version of openafs in 
Debian experimental supports 2.6. Having said that, my tests of this last 
year suggested that the support is too unreliable to be useful. I actually 
had openafs installed on a few UNC machines with 2.6. After reports of 
problems, I was forced to switch back to 2.4. Note that when I installed 
it, the module compiled fine against 2.6 and the client worked with no 
problems. However, problems came up later.

This was last year. It may be more stable now. If you have better luck 
with it, let me know.

                                                                 Faheem.



More information about the unclug mailing list